<div class="main-content">
  <div class="container-fluid">
      <div class="row">
          <div class="col-md-12">
              <div class="card">
                  <div class="header">
                      <h4 class="title">Liste Pesage</h4>
                  </div>
                  <div class="content table-responsive table-full-width">
                      <div class="col-md-4">
                          <div class="form-group">
                              <div class="example-form" class="centree">
                                  <mat-form-field>
                                      <mat-label>date debut</mat-label>
                                      <input matInput [matDatepicker]="datedebut" [(ngModel)]="dateDebut">
                                      <mat-datepicker-toggle matSuffix [for]="datedebut"></mat-datepicker-toggle>
                                      <mat-datepicker #datedebut></mat-datepicker>
                                  </mat-form-field>
                              </div>
                          </div>
                      </div>

                      <div class="col-md-4">
                          <div class="form-group">
                              <div class="example-form" class="centree">

                                  <mat-form-field>
                                      <mat-label>Date Fin</mat-label>
                                      <input matInput [matDatepicker]="datefin" [(ngModel)]="dateFin">
                                      <mat-datepicker-toggle matSuffix [for]="datefin"></mat-datepicker-toggle>
                                      <mat-datepicker #datefin></mat-datepicker>
                                  </mat-form-field>
                              </div>
                          </div>
                      </div>

                      <div class="col-md-1">
                          <div class="form-group">
                              <div class="example-form" class="centree">
                                  <button class="btn btn-danger" (click)="search()">
                                      <i class="glyphicon glyphicon-search" aria-hidden="true"></i>
                                  </button>
                              </div>
                          </div>
                      </div>


                      <div class="center">
                          <table mat-table [dataSource]="dataSource" style="width: 100%;" class="mat-elevation-z8"
                              matSort>

                              <ng-container matColumnDef="Personne">
                                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Personne</th>
                                  <td mat-cell *matCellDef="let element"> {{element.idPersonneNavigation.prenom}}
                                      {{element.idPersonneNavigation.nom}}</td>
                              </ng-container>

                              <!-- Name Column -->
                              <!-- <ng-container matColumnDef="Nom">
                              <th mat-header-cell *matHeaderCellDef mat-sort-header> Nom </th>
                              <td mat-cell *matCellDef="let element"> {{element.idPersonneNavigation.nom}} </td>
                          </ng-container> -->

                              <!-- Weight Column -->
                              <ng-container matColumnDef="poid">
                                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Poid </th>
                                  <td mat-cell *matCellDef="let element"> {{element.poid}} </td>
                              </ng-container>

                              <!-- Symbol Column -->
                              <ng-container matColumnDef="datePesage">
                                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Date Pesage </th>
                                  <td mat-cell *matCellDef="let element">
                                      {{element.datePesage |date:"yyyy - MM - dd"}}
                                  </td>
                              </ng-container>

                              <!-- Symbol Column -->
                              <ng-container matColumnDef="matricule">
                                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Matricule </th>
                                  <td mat-cell *matCellDef="let element"> {{element.idPersonneNavigation.matricule}}
                                  </td>
                              </ng-container>

                              <!-- Symbol Column -->
                              <ng-container matColumnDef="Heure">
                                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Heure </th>
                                  <td mat-cell *matCellDef="let element">
                                      {{element.datePesage |date:"HH : MM"}}
                                  </td>
                              </ng-container>


                              <ng-container matColumnDef="Actions">
                                  <th mat-header-cell *matHeaderCellDef> Actions</th>
                                  <td mat-cell *matCellDef="let element">


                                      <button (click)="opendialogModifier(element)" style="color: green;" mat-button>
                                          <i class="material-icons">create </i>
                                      </button>


                                      <button (click)="Supprimerpesage(element.id)" style="color: rgb(224, 22, 15);"
                                          mat-button>
                                          <i class="material-icons">delete</i>
                                      </button>

                                  </td>
                              </ng-container>

                              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                              <ng-container matColumnDef="loading">
                                  <mat-footer-cell *matFooterCellDef colspan="6">
                                      loading data...
                                  </mat-footer-cell>
                              </ng-container>

                              <ng-container matColumnDef="nodata">
                                  <mat-footer-cell *matFooterCellDef colspan="6">
                                      No data!!
                                  </mat-footer-cell>
                              </ng-container>

                              <mat-footer-row *matFooterRowDef="['loading']" [ngClass]="{'hide':dataSource!=null}">
                              </mat-footer-row>


                              <mat-footer-row *matFooterRowDef="['nodata']"
                                  [ngClass]="{'hide':!(dataSource!=null && dataSource.data.length==0)}">
                              </mat-footer-row>

                          </table>

                          <mat-paginator [pageSize]="10" showFirstLastButtons [pageSizeOptions]="[5, 10, 25, 100]">
                          </mat-paginator>

                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>